commit f1e22dc070daa73857ff2fd951424b9d1ef31a54
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 18:00:17 2018 -0800

    xmessage 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5112040e247e6d9003e8f5d5dc8533f2eda5ced9
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit a6730b5c7a824f87accb2f339a0599c4d799dc3f
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5800c62b510bf001d294bb39454551f54283f371
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 2ded8964acfeb140de6341b2411ec140515b1107
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:36:28 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit df6964a99d6508f5cc374f49f3ffff8e1bd45152
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 23:36:28 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa46fad55550e100c50a3f4208aa953a29cfc3df
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 9 21:28:33 2013 -0800

    Stop leaking temporary buffer when realloc fails to enlarge it
    
    Fixes cppcheck error:
    [readfile.c:108]: (error) Common realloc mistake: 'cp' nulled
     but not freed upon failure
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: wharms <wharms@bfs.de>

commit 2cc2b4bf7f370c5c804f4e75228677b2c58f1d7f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 12 22:21:57 2013 -0800

    xmessage 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 36d79fb080723a019e18e166c36ccaf2127d199d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 12 22:21:05 2013 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e23c3cf3352eb66b2f9ee78c529d49a195ae0de
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f84771abead3a89fd77db59d26ca194458e0bf22
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ee508e69c1160abdf339d8e32b575fb5da2598ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 402f6abee4b14c123a58065cb228277ab5c3cae7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 48ac5420e3efa494ff8a528ffdf02c94af7f22bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 40c220b0515dbd0c8d619deed93c8e43d792b8ee
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:10:21 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8a534984a4215dd3282efad81f784dc2abc56a51
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 08996e6dafa255b40264c0ce11e01d501a9f7ab9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:23:52 2011 -0500

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5c896e0f10fe6f87443f1656cff8cf5466822cf0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 10:21:24 2011 -0500

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules in one pass is 2.60 dated June 2006.
    
    A version later than 2.60 can be used, but no new features from such
    a later version can be used in configure.ac.
    
    Although the code in this module can be configured with a version earlier
    than 2.60, most of code is now contained in macros from util-macros
    which use features of version 2.60, at the present or in the future.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4bebccd8fde390d347df168415204dd296d09e9e
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Nov 8 17:20:29 2010 +0100

    man: point to the X manpage for more command line options
    
    It was already listed in 'SEE ALSO', but adding a reference in the
    'OPTIONS' section is probably easier to find.
    
    Reported-by: Ivan Vilata i Balaguer <ivan@selidor.net>
    Cc: 505891@bugs.debian.org
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ad5f249bf731ee06958e0948f0898ac3f3e26352
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 29 23:14:56 2010 -0800

    xmessage 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ac722e899333482e96de163eadfed1a540209dce
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 29 23:14:24 2010 -0800

    Rely on PKG_CHECK_MODULES to AC_SUBST XMESSAGE_CFLAGS & _LIBS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 529f0f2125a1f5e7d6382f918af955616a35d657
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 29 23:10:13 2010 -0800

    Fill in COPYING file with notices from source code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 72014bab094682621a206958bb7c62f83d789cde
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 29 23:06:47 2010 -0800

    Use AM_V_GEN to silence manpage generation too
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d351d89dd97e8b90e2b6a0421d8e976d22c8fb14
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 29 23:03:51 2010 -0800

    Bump xorg-macros requirement to 1.4 for XORG_INSTALL changes
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 093a45093e98b08763c398fc36955ea4c9350edc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:48 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7fd49423ac4497443f0e5b53588bc064f9096e7e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 3ff203878ca5361fb7d11a9589739a2cc1e2e312
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit bf0f065f4d92c9c8e9a04863fad1fff7885d60bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 726f220cbd1a9a795c57c6b8e9d2bcc7ba25de65
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit bdd48bb136f3c7aa27845f5478c81579c39011eb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit f4f59348603fffd2fd3249f272eeeaa72f819b9a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Thu Jan 22 16:05:29 2009 -0200

    Correct make distcheck and sparse warnings.

commit 17bb13a8280da865ecc1be940a8313e65c178a35
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Sun Mar 16 18:15:54 2008 -0300

    Compile warning fixes.
    
      Declare xmessage.c:detab as static to avoid warning about missing prototype.
      Also remove CVS id variable, and the printing of it in "xmessage -help".

commit 1c6e1c795774e80c8fac489671906be2a3d8641d
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:52 2008 -0400

    xaw8 is gone, use xaw7

commit 985f825a94723f9f4b876af790ce92634d1129af
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Aug 2 17:40:05 2008 +0200

    Create the app-defaults dir when using a build dir (build fix)
    
    Also use AM_CFLAGS instead of xmessage_CFLAGS, making AM_PROG_CC_C_O
    unnecessary.

commit c87a9f9e90158ce3afe4986c6d3e85a7b24a7230
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:34:54 2008 -0700

    Added missing AM_PROG_CC_C_O

commit 0b12bb902e42ad3922f6ea6448f183dfd450d982
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:08:08 2008 -0700

    Build fix for file systems that are not case sensitive

commit d904b9e532da45d1b31621f51e5d45553ae83d89
Author: Brice Goglin <bgoglin@debian.org>
Date:   Tue Sep 4 00:45:50 2007 +0200

    unquote_pairs() really unquotes all pairs
    
    Fix unquote_pairs() to unquote every pair in br instead only
    the first one n times.
    
    Reported by Viktor Horvath in Debian bug #440734.

commit 24f1760790a9d2f73cac94bc00d8137fefac9f38
Author: Matthieu Herrb <matthieu@bluenote.herrb.com>
Date:   Fri Aug 10 11:18:12 2007 +0200

    Bump version

commit db559a38a8bc954c6fd54866193a683d5c78bffa
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Apr 24 22:07:48 2007 +0200

    fill in this generated file.

commit aabd047545359c82eb0035f8aa77864b362e7f0e
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Tue Apr 24 22:04:09 2007 +0200

    Add rules to generate ChangeLog.
    
    (this file was missed in a previous commit - sorry).

commit 821d4603d701efcb09fcbdd246d6f7d9c3a24f28
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Apr 15 19:13:36 2007 +0200

    Untabify message before inserting it.
    
    From Kevin Ryde in Debian BTS, via bugzilla #10575, Brice Goglin.

commit ed3f8aa0b66e5829836b576e6096bd645e87c50e
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Apr 15 19:05:45 2007 +0200

    Add emacs droppings to the list of ignored files.

commit 1635803a5f719b0f8b5af8208819d63166990c5b
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Apr 15 19:04:51 2007 +0200

    Modernize build
    
    - replace ChangeLog by a generated file
    - rename .cvsignore -> .gitignore

commit 238767cb31e02d75bb7880f0b9c79e27992c3155
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:52 2005 +0000

    Update package version for X11R7 release.

commit 6b7b94f799c71278065bbf589108f1e2f7b25671
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:46 2005 +0000

    Stub COPYING files

commit ffde028f5a2f865a411b6b63c9785e339c4d9a3c
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:09 2005 +0000

    Update package version number for final X11R7 release candidate.

commit ff03086d9069fcd5f2b952709737dae7d51d80ef
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 7 16:18:01 2005 +0000

    Change to use the app-defaults default dir configured in libXt.

commit c3dddcf94c8ec3c4d483e1d568ea8fb69aa468a0
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:24 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit bab54eda6bb0b6680580b27ee0b5e268b97cb8ad
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:26 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 94622fedb20d9454d728628f190cf5280ed9a066
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:44 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 5464c0f2adf34213f21137d1f819254ed50626e5
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:35:05 2005 +0000

    Another pass at .cvsignores for apps.

commit 4d5dfb99f50bd1d9577d17426d1cabe8ea29a2a0
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:54 2005 +0000

    Add/improve .cvsignore files for apps.

commit b71de113e311e10e59c3b6fbdc1ff63c90c8324d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:56 2005 +0000

    Update package version number for RC1 release.

commit b70f6692231e994bb57b4e51c09ab5535241713c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:32:55 2005 +0000

    Change default install dir for app-default files from
        $(sysconfdir)/X11/app-defaults to $(libdir)/X11/app-defaults to match
        the monolith & allow localization

commit 630e728f987a8fcd53d1a0076bca0834d45e132f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:24 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 557c649ffb5bbfed8533b3d93ea1dbedaa0fc0ac
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:47 2005 +0000

    Use sed to fill in variables in man page

commit eb77492515f7944b530550950a0143c8fb5b45cf
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:30 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 28253816f0a35c12ba6e5eea660e6d89424a78be
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:36 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit fa1d1593fe790d08a2e6e1f4e16f86f923b7aeb5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 15:44:03 2005 +0000

    Replace more GNU make-ism's with more portable macros

commit a4ea5c92e64b3cf7a0df17705c27e8a7abdb2f8b
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jul 24 10:26:39 2005 +0000

    fix GNU-make only app-defaults rule

commit 48a77ca80a31851bf02cec6ab510d9f1458311a5
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:32:02 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 665ba4b9cf9a7c94782637051eb8e0d735bbaf7c
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 5 22:51:11 2005 +0000

    Add build systems for xlogo, xlsatoms, xlsclients, xmag, xman, xmessage,
        xmh, xmore. lib/Xaw/xaw.m4: Add an AM_CONDITIONAL and a shell variable
        xaw_use_xprint symlink.sh: add some extra files for xgc, xinit,
        xkbcomp, xlogo, xmb, and xmodmap xc/programs/xmore/xmore.c:
        Conditionalize use of xprint

commit 78f5d29fcde2813dfed4474a3cce4ef77c592580
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:58 2004 +0000

    Merging XORG-CURRENT into trunk

commit e5660a70027feb61532e8ab84d41ea6eed085cab
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:40 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 39acb07c37ed1df6d3ee3f332c9d817018b2c2e5
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:15 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 7879a743821a3984c29c0172450c1eedf6a4d730
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:26 2004 +0000

    readding XFree86's cvs IDs

commit 795b4a0de2c473b11901107585f7d8a85abfd193
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:14 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 9ba02b5d7b34eba8356dfcb83694698dbc550073
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:15 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 6dcad3b7ba5983633e4303c22446c3de8922c003
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:15 2003 +0000

    Initial revision

commit 0e47985a1de54c6ac4f09831a7a81c83c43fc577
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    XFree86 4.3.0.1

commit e87b0d408c8bef387afb069e25028d9a52c58a62
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:23 2003 +0000

    Initial revision
